#3 x64 Linux workaround

open
nobody
None
5
2013-02-08
2008-09-12
James Cooley
No

The packages distributed with x64 Ubunty Hardy do not properly. You get the following error:

$ gram-ga.pl
An Gramadoir: problem reading the database
at /usr/bin/gram-ga.pl line 339
$

I'm don't know perl but when using strace it looks like the persistence format the dictionaries are stored in is not readable portable between x32 and x64.

I fixed the problem by building and installing the package from source. I just logged the bug in case someone else gets this problem.

Discussion